Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006173opensim[REGION] Physics Enginespublic2012-08-17 12:232014-07-29 13:41
ReporterRobert Adams 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006173: BulletSim: fails with an exception on Linux 64 bit
DescriptionRunning BulletSim so's from ae5db637f29dbc3fda49580f5a0f869d1b0b4958 on SuSE 11.4 crash. Mono 2.10.6.
Additional InformationNative stacktrace:
 
        mono() [0x490496]
        mono() [0x4e06ff]
        mono() [0x41aa89]
        /lib64/libpthread.so.0(+0xf2d0) [0x7fde9d9f42d0]
        lib64/libBulletSim.so(_ZN13TerrainObjectC1EP9WorldDatajPf+0xc4) [0x7fde8663e784]
        lib64/libBulletSim.so(_ZN9BulletSim12SetHeightmapEPf+0x6d) [0x7fde86631abf]
        lib64/libBulletSim.so(SetHeightmap+0x34) [0x7fde866292cb]
        [0x41ffcc1a]
 
Don't know if this is significant:
target_type_is_incompatible (cfg=0x7fde94072da0, target=<value optimized out>, arg=0x7fde940ce4e8) at method-to-ir.c:1918
        in method-to-ir.c
TagsNo tags attached.
Git Revision or version numberae5db637f29dbc3fda49580f5a0f869d1b0b4958
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono Version2.10
Viewer
Attached Files

- Relationships

-  Notes
(0022502)
Robert Adams (administrator)
2012-08-31 13:00

The fault was that memcpy() changed in glibc and Ubuntu has the new library but other Linux releases did not have the new library yet. I resolved this by replacing the invocations of memcpy() and thus eliminating this dependency.

Fixed before 32b534f324c0d69b3b56746a07e80ab38d7dd546 (Fri Aug 31).

- Issue History
Date Modified Username Field Change
2012-08-17 12:23 Robert Adams New Issue
2012-08-17 12:23 Robert Adams Status new => assigned
2012-08-17 12:23 Robert Adams Assigned To => Robert Adams
2012-08-18 04:32 DMX04 Issue cloned: 0006187
2012-08-31 13:00 Robert Adams Note Added: 0022502
2012-08-31 13:00 Robert Adams Status assigned => resolved
2012-08-31 13:00 Robert Adams Fixed in Version => master (dev code)
2012-08-31 13:00 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker